var myApp = angular.module("myApp", ['ui.router', 'controllers']);
myApp.config(function($stateProvider, $urlRouterProvider) {

    $stateProvider
        .state("PageTab", {
            url: "/PageTab",
            views: {
                '': {
                    templateUrl: "pages/PageTab.html"
                }
            }
        })
        .state("PageTab.Page1", {
            url: "/Page1",
            views: {
                '': {
                    templateUrl: "pages/Page1.html",
                    controller: 'page1Controller'
                }
            }

        })
        .state("PageTab.Page2", {
            url: "/Page2",
            views: {
                '': {
                    templateUrl: "pages/Page2.html",
                    controller: 'page2Controller'
                }
            }

        })
        .state("PageTab.Page3", {
            url: "/Page3",
            views: {
                '': {
                    templateUrl: "pages/Page3.html",
                    controller: 'page3Controller'
                }
            }

        }).state('datails', {
            url: '/datails/:id',
            views: {
                '': {
                    templateUrl: 'pages/datails.html',
                    controller: 'pageDetail'
                }
            }

        }).state('account', {
            url: '/account',
            views: {
                '': {
                    templateUrl: 'pages/account.html',
                    controller: 'accountController'
                }
            }

        }).state('updatePassword', {
            url: '/updatePassword',
            views: {
                '': {
                    templateUrl: 'pages/updatePassword.html',
                    controller: 'updatePasswordController'
                }
            }

        }).state('cardList', {
            url: '/cardList',
            views: {
                '': {
                    templateUrl: 'pages/cardList.html',
                    controller: 'cardListController'
                }
            }

        }).state('lost', {
            url: '/lost',
            views: {
                '': {
                    templateUrl: 'pages/lost.html',
                    controller: 'lostController'
                }
            }

        }).state('unlost', {
            url: '/unlost',
            views: {
                '': {
                    templateUrl: 'pages/unlost.html',
                    controller: 'unlostController'
                }
            }

        }).state('flwquery', {
            url: '/flwquery',
            views: {
                '': {
                    templateUrl: 'pages/flwquery.html',
                    controller: 'flwqueryController'
                }
            }

        }).state('flwdetail', {
            url: '/flwdetail/:startDate/:endDate/:flwquery_cardList',
            views: {
                '': {
                    templateUrl: 'pages/flwdetail.html',
                    controller: 'flwdetailController'
                }
            }
        })

    .state('openDoor', {
        url: '/openDoor',
        views: {
            '': {
                templateUrl: 'pages/openDoor.html',
                controller: 'openDoorController'
            }
        }

    }).state('charge', {
        url: '/charge',
        views: {
            '': {
                templateUrl: 'pages/charge.html',
                controller: 'chargeController'
            }
        }

    }).state('chargeDirect', {
        url: '/chargeDirect',
        views: {
            '': {
                templateUrl: 'pages/chargeDirect.html',
                controller: 'chargeDirectController'
            }
        }

    }).state('alipay', {
        url: '/alipay',
        views: {
            '': {
                templateUrl: 'http://mzy1234.jsp.jspee.org/alipay.trade.wap.pay-java-utf-8/wappay/pay.jsp'

            }
        }

    }).state('bindCard', {
        url: '/bindCard',
        views: {
            '': {
                templateUrl: 'pages/bindCard.html',
                controller: 'bindCardController'

            }
        }

    }).state('netRecharge', {
        url: '/netRecharge',
        views: {
            '': {
                templateUrl: 'pages/netRecharge.html',
                controller: 'netRechargeController'

            }
        }

    }).state('unbindCard', {
        url: '/unbindCard',
        views: {
            '': {
                templateUrl: 'pages/unbindCard.html',
                controller: 'unbindCardController'
            }
        }

    }).state('scan', {
        url: '/scan',
        views: {
            '': {
                templateUrl: 'pages/scan.html',
                controller: 'scanController'
            }
        }

    }).state('notice', {
        url: '/notice',
        views: {
            '': {
                templateUrl: 'pages/notice.html',
                controller: 'noticeController'
            }
        }
    }).state('payment', {
        url: '/payment',
        views: {
            '': {
                templateUrl: 'pages/payment.html',
                controller: 'paymentController'
            }
        }
    }).state('accessControl', {
        url: '/accessControl',
        views: {
            '': {
                templateUrl: 'pages/accessControl.html',
                controller: 'accessControlController'
            }
        }
    }).state('merchant', {
        url: '/merchant',
        views: {
            '': {
                templateUrl: 'pages/merchant.html',
                controller: 'merchantController'
            }
        }
    }).state('merchantDetail', {
        url: '/merchantDetail/:startDate/:endDate/:flwquery_cardList',
        views: {
            '': {
                templateUrl: 'pages/merchantDetail.html',
                controller: 'merchantDetailController'
            }
        }

    }).state('meeting', {
        url: '/meeting',
        views: {
            '': {
                templateUrl: 'pages/meeting.html',
                controller: 'meetingController'
            }
        }
    }).state('meetingPersionList', {
        url: '/meetingPersionList/:meetingId/',
        views: {
            '': {
                templateUrl: 'pages/meetingPersionList.html',
                controller: 'meetingPersionListController'
            }
        }
    }).state('quequ', {
        url: 'quequ',
        views: {
            '': {
                templateUrl: 'pages/quequ.html',
                controller: 'quequController'
            }
        }
    }).state('myQueue', {
        url: 'myQueue',
        views: {
            '': {
                templateUrl: 'pages/myQueue.html',
                controller: 'myQueueController'
            }
        }
    }).state('qrcode', {
        url: 'qrcode',
        views: {
            '': {
                templateUrl: 'pages/qrcode.html',
                controller: 'qrcodeController'
            }
        }
    }).state('appointService', {
        url: 'appointService',
        views: {
            '': {
                templateUrl: 'pages/appointService.html',
                controller: 'appointServiceController'
            }
        }
    }).state('appointDate', {
        url: '/appointDate/:serviceId/:serviceName',
        views: {
            '': {
                templateUrl: 'pages/appointDate.html',
                controller: 'appointDateController'
            }
        }
    }).state('appointTime', {
        url: '/appointTime/:serviceId/:serviceName/:date',
        views: {
            '': {
                templateUrl: 'pages/appointTime.html',
                controller: 'appointTimeController'
            }
        }
    }).state('appointment', {
        url: '/appointment/:serviceId/:serviceName/:date/:time/:timeId',
        views: {
            '': {
                templateUrl: 'pages/appointment.html',
                controller: 'appointmentController'
            }
        }
    }).state('balOfAccount', {
        url: 'balOfAccount',
        views: {
            '': {
                templateUrl: 'pages/balOfAccount.html',
                controller: 'balOfAccountController'
            }
        }
    }).state('urbanHotspots', {
        url: 'urbanHotspots',
        views: {
            '': {
                templateUrl: 'pages/urbanHotspots.html',
                controller: 'urbanHotspotsController'
            }
        }
    }).state('storeAccount', {
        url: 'storeAccount',
        views: {
            '': {
                templateUrl: 'pages/storeAccount.html',
                controller: 'storeAccountController'
            }
        }
    }).state('bindAccount', {
        url: 'bindAccount',
        views: {
            '': {
                templateUrl: 'pages/bindAccount.html',
                controller: 'bindAccountController'
            }
        }
    }).state('register', {
        url: 'register',
        views: {
            '': {
                templateUrl: 'pages/register.html',
                controller: 'registerController'
            }
        }
    }).state('modifyRegister', {
        url: 'modifyRegister',
        views: {
            '': {
                templateUrl: 'pages/modifyRegister.html',
                controller: 'modifyRegisterController'
            }
        }
    }).state('queuenotice', {
        url: 'queuenotice',
        views: {
            '': {
                templateUrl: 'pages/queuenotice.html',
                controller: 'queuenoticeController'
            }
        }
    }).state('cardInfo', {
        url: '/cardInfo/:cardId/',
        views: {
            '': {
                templateUrl: 'pages/cardInfo.html',
                controller: 'cardInfoController'
            }
        }
    }).state('balOfAccQuery', {
        url: 'balOfAccQuery',
        views: {
            '': {
                templateUrl: 'pages/balOfAccQuery.html',
                controller: 'balOfAccQueryController'
            }
        }
    }).state('storeAccQuery', {
        url: 'storeAccQuery',
        views: {
            '': {
                templateUrl: 'pages/storeAccQuery.html',
                controller: 'storeAccQueryController'
            }
        }
    }).state('headUpload', {
        url: 'headUpload',
        views: {
            '': {
                templateUrl: 'pages/headUpload.html',
                controller: 'headUploadController'
            }
        }
    }).state('storeCheckUploadImage', {
        url: 'storeCheckUploadImage/:stuCode/:tradeDate/:checkMoney/:checkResult/:clientNo',
        views: {
            '': {
                templateUrl: 'pages/storeCheckUploadImage.html',
                controller: 'storeCheckUploadImageController'
            }
        }
    });

    $urlRouterProvider.otherwise('/PageTab/Page1');
    $urlRouterProvider.when("", "/PageTab/Page1");
});

app.factory('myFactory', function($http) {
    var service = {}; //定义一个Object对象'
    service.name = "张三";
    service.stuCode = "11015"
    var age; //定义一个私有化的变量
    //对私有属性写getter和setter方法
    service.setAge = function(newAge) {
        age = newAge;
    }
    service.getAge = function() {
        return age;
    }
    return service; //返回这个Object对象
});

app.config(["$httpProvider", function($httpProvider) {
    $httpProvider.interceptors.push('myInterceptor');
}]);

//loading  
app.factory('myInterceptor', ["$rootScope", function($rootScope, $http) {
    var timestampMarker = {
        request: function(config) {
            //start
            config.params = config.params || {};
            $rootScope.loading = true;
            console.log(config);
            var xxk=localStorage.getItem("xxk");
            config.params.xxk = xxk;
            return config;
        },
        response: function(response) {
            //end
            $rootScope.loading = false;
            return response;
        },
        "responseError": function(response) {
            if (response.status == 500) {
            	var szSchoolConfig = localStorage.getItem("schoolConfig");
			 	var szSchoolBaseInfo = localStorage.getItem("schoolBaseInfo");
			 
				localStorage.clear();
				
				localStorage.setItem("schoolBaseInfo", szSchoolBaseInfo);
			    localStorage.setItem("schoolConfig", szSchoolConfig);
			    console.log("returnTo=" + appHost + "/index.html");
                window.location.href = appHost + "/login.html";
            }
         }
    };

    return timestampMarker;
}]);
// 禁止模板缓存
app.run(function($rootScope, $templateCache) {
    $rootScope.$on('$routeChangeStart', function(event, next, current) {
        if (typeof(current) !== 'undefined') {
            $templateCache.remove(current.templateUrl);
        }
    });
});