(function(){
	function loadJs(id, url, callback) {
		if (!url) {
			return;
		}
		
	    var script = document.createElement('script');
	    script.type = "text/javascript";
	    if (typeof(callback) != "undefined") {
	        if (script.readyState) {
	            script.onreadystatechange = function() {
	                if (script.readyState == "loaded" || script.readyState == "complete") {
	                    script.onreadystatechange = null;
	                    callback();
	                }
	            }
	        } else {
	            script.onload = function() {
	                callback();
	            }
	        }
	    }
	    
	    if (url) {
	    	var random = Math.random();
	    	if (url.indexOf("?") == -1) {
	    		url = url + "?r="+random;
	    	}
	    	else {
	    		url = url + "&r="+random;
	    	}
	    }
	    
	    script.src = url;
	    
	    var hrefElement = document.getElementById(id);
	    if (hrefElement && hrefElement.parentNode) {
	    	hrefElement.parentNode.appendChild(script);
	    }
	}

	var anchorScript = "anchorScript";
	var scriptList = [];
	
	for (var i = 0, ilen = scriptList.length; i < ilen; i++) {
		loadJs(anchorScript, scriptList[i]);
	}
})();
