app.controller('appointServiceController', function($scope, $http, $state) {
	//	localhost:9003/api/serviceController/findAllCountList

	function initService() {
		$http({
			method: 'GET',
			url: accessUrl + "api/serviceController/findAllCountList",
			data: {
				stuCode: stuCode
			},
			headers: {
				'Content-Type': 'application/x-www-form-urlencoded'
			}
		}).success(function(result) {
			$scope.serviceList = result;

		});
	}

		setInterval(function() {
			initService();
			initQueue();
		}, 30000*6)
	$scope.load = function() {
		initService();
		initQueue();
		pullToRefresh();
		mui('.mui-scroll-wrapper').scroll();
	}
	$scope.notAppointDate = function() {
		swal({
			title: "不在预约时间范围",
			text: "请在08:00～11:30，14:30～17:30之间预约",
			//				timer: 1000,
			showConfirmButton: false,
			type: 'error',
			confirmButtonText: '确定',
			showInputError: true
		});
	};

	$scope.cancelQueue = function(id) {
		swal({
				title: "取消提醒",
				text: "要办理时需重新抽号",
				type: "warning",
				showCancelButton: true,
				confirmButtonColor: "#DD6B55",
				confirmButtonText: "确定取消",
				cancelButtonText: "不取消",
				closeOnConfirm: false,
				closeOnCancel: true
			},
			function(isConfirm) {
				if(isConfirm) {
					$http({
						method: 'POST',
						url: accessUrl + "userQueueController/delete",
						data: {
							id: id
						},
						headers: {
							'Content-Type': 'application/x-www-form-urlencoded'
						},
						transformRequest: function(obj) {
							var str = [];
							for(var s in obj) {
								str.push(encodeURIComponent(s) + "=" + encodeURIComponent(obj[s]));
							}
							return str.join("&");
						}
					}).success(function(result) {
						if(result.code == 200) {
							swal(result.message, "",
								"success");


						} else {
							swal(result.message, "",
								"error");
						}
						initService();
						initQueue();

					});
					//userQueueController/delete

				}
			});
	}

	/**
	 * 我的号码
	 */
	function initQueue() {
		$http({
			method: 'POST',
			url: accessUrl + "queueservice/userQueueController/findByStucode",
			data: {
				stuCode: stuCode
			},
			headers: {
				'Content-Type': 'application/x-www-form-urlencoded'
			},
			transformRequest: function(obj) {
				var str = [];
				for(var s in obj) {
					str.push(encodeURIComponent(s) + "=" + encodeURIComponent(obj[s]));
				}
				return str.join("&");
			}
		}).success(function(result) {
			if(result.length == 0) {
				$scope.queueList = "empty";
			} else {
				$scope.queueList = result;
			}

		});
	}

	$scope.addQuequ = function(id,name) {
		$state.go("appointDate",{"serviceId":id,"serviceName":name});
	};

	function pullToRefresh() {
		var startX, startY;
		document.getElementById("pullrefresh").addEventListener('touchstart', function(ev) {
			startX = ev.touches[0].pageX;
			startY = ev.touches[0].pageY;
		}, false);
		document.getElementById("pullrefresh").addEventListener('touchend', function(ev) {
			var endX, endY;
			endX = ev.changedTouches[0].pageX;
			endY = ev.changedTouches[0].pageY;

			var direction = GetSlideDirection(startX, startY, endX, endY);
			switch(direction) {
				case 0:

					console.log("无操作");
					break;
				case 1:
					// 向上 

					console.log("向上");
					break;
				case 2:
					// 向下 
					initService();
					initQueue();
					console.log("down");
					break;

				default:
			}
		}, false);
	}

	function GetSlideDirection(startX, startY, endX, endY) {
		var dy = startY - endY;
		//var dx = endX - startX; 
		var result = 0;
		if(dy > 0) { //向上滑动 
			result = 1;
		} else if(dy < 0) { //向下滑动 
			result = 2;
		} else {
			result = 0;
		}
		return result;
	}

});