app.controller('cardInfoController', function ($scope, $stateParams, $http) {
    $scope.cardId = $stateParams.cardId;

    cardInfo();

function cardInfo() {
    $http({
        method: 'GET',
        url: accessUrl + "/cardservice/tcommcardController/get?crdId=" + $stateParams.cardId,

        headers: {
            'Content-Type': 'application/x-www-form-urlencoded'
        },
        transformRequest: function (obj) {

        }
    }).success(function (result) {
        $scope.cardInfo = result;

    });

}


    getBalanceMoney();
    /**
     * 查询余额
     */
    function getBalanceMoney() {
        $http({
            method: 'GET',
            url: accessUrl + "/m/tcommbalanceController/getAccountBalanceByStuCode?stuCode=" + stuCode,
            headers: {
                'Content-Type': 'application/x-www-form-urlencoded; charset=UTF-8'
            }
        }).success(function(result) {
            document.getElementById("banlanceMoney").value = result.data.blnBalance;
        });
    }
    cardConsumeLimitFNC();
    /**
     * 根据卡号查询限额
     */
   function cardConsumeLimitFNC() {
        $http({
            method: 'POST',
            url: accessUrl + "/costservice/m/cardConsumeLimitController/getCardConsumeLimitByCardNo",
            //url: "http://localhost:8093/m/cardConsumeLimitController/getCardConsumeLimitByCardNo",
            data: {
                cardNo: $stateParams.cardId,
            },
            headers: {
                'Content-Type': 'application/x-www-form-urlencoded'
            },
            transformRequest: function (obj) {
                var str = [];
                for(var s in obj) {
                    str.push(encodeURIComponent(s) + "=" + encodeURIComponent(obj[s]));
                }
                return str.join("&");
            }
        }).success(function (result) {
        	
	        if (result["cardNo"] && result["cardNo"] != "") {
	        	var objDayLimit = result["dayLimit"];
	        	var nDayLimit = 0;
		        if (objDayLimit) {
		        	var szDayLimit = "" + objDayLimit;
		        	if (!isNaN(szDayLimit)) {
		        		nDayLimit = parseFloat(szDayLimit);
		        	}
		        }
		        
		        result["dayLimit"] = nDayLimit;
		        
		        var objOnceLimit = result["onceLimit"];
	        	var nOnceLimit = 0;
		        if (objOnceLimit) {
		        	var szOnceLimit = "" + objOnceLimit;
		        	if (!isNaN(szOnceLimit)) {
		        		nOnceLimit = parseFloat(szOnceLimit);
		        	}
		        }
		        
		        result["onceLimit"] = nOnceLimit;
	        }
	        
            $scope.cardConsumeLimit = result;
        });
    };

	function isNumber(val){
		if (val) {
			var szVal = "" + val;
			szVal = szVal.replace(/^\s+|\s+$/g, "");
			return /^\d+(\.\d+)?$/.test(szVal);
		}
	}

    $scope.saveCardInfo = function () {
        var onceLimit=document.getElementById("onceLimit").value;
        var dayLimt=document.getElementById("dayLimt").value;
        if(onceLimit == "") {
            swal({
                title: "",
                text: "请输入单笔最高消费",
                timer: 1000,
                showConfirmButton: false,
                type: 'warning',
                confirmButtonText: '确定',
                showInputError: true
            });
            return;
        }
        if(dayLimt == "") {
            swal({
                title: "",
                text: "请输入每日最高消费",
                timer: 1000,
                showConfirmButton: false,
                type: 'warning',
                confirmButtonText: '确定',
                showInputError: true
            });
            return;
        }
        if(!isNumber(dayLimt) || parseFloat(dayLimt) <0) {
            swal({
                title: "",
                text: "请输入大于0的数字",
                timer: 1000,
                showConfirmButton: false,
                type: 'warning',
                confirmButtonText: '确定',
                showInputError: true
            });
            return;
        }
        if(!isNumber(onceLimit) || parseFloat(onceLimit) <0) {
            swal({
                title: "",
                text: "请输入大于0的数字",
                timer: 1000,
                showConfirmButton: false,
                type: 'warning',
                confirmButtonText: '确定',
                showInputError: true
            });
            return;
        }


        mui("#charge_btn").button('loading');
        $http({
            method: 'POST',
            url: accessUrl + "/costservice/m/cardConsumeLimitController/save",
            // url: "http://localhost:8093/m/cardConsumeLimitController/save",
            data: {
                cardNo: $stateParams.cardId,
                dayLimit: dayLimt,
                onceLimit: onceLimit,
            },
            headers: {
                'Content-Type': 'application/x-www-form-urlencoded'
            },
            transformRequest: function (obj) {
                var str = [];
                for(var s in obj) {
                    str.push(encodeURIComponent(s) + "=" + encodeURIComponent(obj[s]));
                }
                return str.join("&");
            }
        }).success(function (result) {
            $scope.cardInfo = result;
            mui("#charge_btn").button('reset');
            swal({
                title: "",
                text: "保存成功",
                //				timer: 1000,
                showConfirmButton: false,
                type: 'success',
                confirmButtonText: '确定',
                showInputError: true
            });
            cardInfo();
        });
    }
});