app.controller('flwqueryController', function($scope, $stateParams, $http) {
	setDate();
	//swich按钮变换

	(function($, window, name) {

		var CLASS_SWITCH = 'mui-switch';
		var CLASS_SWITCH_HANDLE = 'mui-switch-handle';
		var CLASS_ACTIVE = 'mui-active';
		var CLASS_DRAGGING = 'mui-dragging';

		var CLASS_DISABLED = 'mui-disabled';

		var SELECTOR_SWITCH_HANDLE = '.' + CLASS_SWITCH_HANDLE;

		var handle = function(event, target) {
			if(target.classList && target.classList.contains(CLASS_SWITCH)) {
				return target;
			}
			return false;
		};

		$.registerTarget({
			name: name,
			index: 100,
			handle: handle,
			target: false
		});

		var Toggle = function(element) {
			this.element = element;
			this.classList = this.element.classList;
			this.handle = this.element.querySelector(SELECTOR_SWITCH_HANDLE);
			this.init();
			this.initEvent();
		};
		Toggle.prototype.init = function() {
			this.toggleWidth = this.element.offsetWidth;
			this.handleWidth = this.handle.offsetWidth;
			this.handleX = this.toggleWidth - this.handleWidth - 3;
		};
		Toggle.prototype.initEvent = function() {
			this.element.addEventListener($.EVENT_START, this);
			this.element.addEventListener('drag', this);
			this.element.addEventListener('swiperight', this);
			this.element.addEventListener($.EVENT_END, this);
			this.element.addEventListener($.EVENT_CANCEL, this);

		};
		Toggle.prototype.handleEvent = function(e) {
			if(this.classList.contains(CLASS_DISABLED)) {
				return;
			}
			switch(e.type) {
				case $.EVENT_START:
					this.start(e);
					break;
				case 'drag':
					this.drag(e);
					break;
				case 'swiperight':
					this.swiperight();
					break;
				case $.EVENT_END:
				case $.EVENT_CANCEL:
					this.end(e);
					break;
			}
		};
		Toggle.prototype.start = function(e) {
			this.handle.style.webkitTransitionDuration = this.element.style.webkitTransitionDuration = '.2s';
			this.classList.add(CLASS_DRAGGING);
			if(this.toggleWidth === 0 || this.handleWidth === 0) { //当switch处于隐藏状态时，width为0，需要重新初始化
				this.init();
			}
		};
		Toggle.prototype.drag = function(e) {
			var detail = e.detail;
			if(!this.isDragging) {
				if(detail.direction === 'left' || detail.direction === 'right') {
					this.isDragging = true;
					this.lastChanged = undefined;
					this.initialState = this.classList.contains(CLASS_ACTIVE);
				}
			}
			if(this.isDragging) {
				this.setTranslateX(detail.deltaX);
				e.stopPropagation();
				detail.gesture.preventDefault();
			}
		};
		Toggle.prototype.swiperight = function(e) {
			if(this.isDragging) {
				e.stopPropagation();
			}
		};
		Toggle.prototype.end = function(e) {
			this.classList.remove(CLASS_DRAGGING);
			if(this.isDragging) {
				this.isDragging = false;
				e.stopPropagation();
				$.trigger(this.element, 'toggle', {
					isActive: this.classList.contains(CLASS_ACTIVE)
				});
			} else {
				this.toggle();
			}
		};
		Toggle.prototype.toggle = function(animate) {
			var classList = this.classList;
			if(animate === false) {
				this.handle.style.webkitTransitionDuration = this.element.style.webkitTransitionDuration = '0s';
			} else {
				this.handle.style.webkitTransitionDuration = this.element.style.webkitTransitionDuration = '.2s';
			}
			if(classList.contains(CLASS_ACTIVE)) {
				classList.remove(CLASS_ACTIVE);
				this.handle.style.webkitTransform = 'translate(0,0)';
			} else {
				classList.add(CLASS_ACTIVE);
				this.handle.style.webkitTransform = 'translate(' + this.handleX + 'px,0)';
			}
			$.trigger(this.element, 'toggle', {
				isActive: this.classList.contains(CLASS_ACTIVE)
			});
		};
		Toggle.prototype.setTranslateX = $.animationFrame(function(x) {
			if(!this.isDragging) {
				return;
			}
			var isChanged = false;
			if((this.initialState && -x > (this.handleX / 2)) || (!this.initialState && x > (this.handleX / 2))) {
				isChanged = true;
			}
			if(this.lastChanged !== isChanged) {
				if(isChanged) {
					this.handle.style.webkitTransform = 'translate(' + (this.initialState ? 0 : this.handleX) + 'px,0)';
					this.classList[this.initialState ? 'remove' : 'add'](CLASS_ACTIVE);
				} else {
					this.handle.style.webkitTransform = 'translate(' + (this.initialState ? this.handleX : 0) + 'px,0)';
					this.classList[this.initialState ? 'add' : 'remove'](CLASS_ACTIVE);
				}
				this.lastChanged = isChanged;
			}

		});

		$.fn['switch'] = function(options) {
			var switchApis = [];
			this.each(function() {
				var switchApi = null;
				var id = this.getAttribute('data-switch');
				if(!id) {
					id = ++$.uuid;
					$.data[id] = new Toggle(this);
					this.setAttribute('data-switch', id);
				} else {
					switchApi = $.data[id];
				}
				switchApis.push(switchApi);
			});
			return switchApis.length > 1 ? switchApis : switchApis[0];
		};
		$.ready(function() {
			$('.' + CLASS_SWITCH)['switch']();
		});
	})(mui, window, 'toggle');
	(function($) {
		$.init();

		var startDate = document.getElementById("startDate");
		var endDate = document.getElementById("endDate");
		document.getElementById("startDate").addEventListener('tap', function() {
			var _self = this;
			
			if(_self.picker) {
				_self.picker.show(function(rs) {
					document.getElementById("startDate").value = rs.text;
					_self.picker.dispose();
					_self.picker = null;
                    document.getElementById('queryResult').innerHTML = "";
                    queryDetail(1);
				});
			} else {
				var optionsJson = this.getAttribute('data-options') || '{}';
				
				var options = JSON.parse(optionsJson);
				options["value"] = _self.value;
				_self.picker = new $.DtPicker(options);
				_self.picker.show(function(rs) {
					_self.value = rs.text;
					_self.picker.dispose();
					_self.picker = null;
                    document.getElementById('queryResult').innerHTML = "";
                    queryDetail(1);
				});

			}
		}, false);
		document.getElementById("endDate").addEventListener('tap', function() {
			var _self = this;
			if(_self.picker) {
				_self.picker.show(function(rs) {
					document.getElementById("endDate").value = rs.text
					_self.picker.dispose();
					_self.picker = null;
	                document.getElementById('queryResult').innerHTML = "";
	                queryDetail(1);
				});
			} else {
				var optionsJson = this.getAttribute('data-options') || '{}';
				var options = JSON.parse(optionsJson);
				options["value"] = _self.value;
				
				_self.picker = new $.DtPicker(options);
				_self.picker.show(function(rs) {
					_self.value = rs.text
					_self.picker.dispose();
					_self.picker = null;
	                document.getElementById('queryResult').innerHTML = "";
	                queryDetail(1);
				});
			}

		}, false);

	})(mui);
	var page=1;
	var count=0;
	var totalPage=0;
	var limit=10;
	mui.ajax(accessUrl + "/m/tcommcardController/findCardByStuCode", {
		data: {
			"stuCode": stuCode
		},
		dataType: 'json', //服务器返回json格式数据
		type: 'get', //HTTP请求类型
		timeout: 10000, //超时时间设置为10秒；
		success: function(result) {

			queryDetail(page);

		},
		error: function(xhr, type, errorThrown) {
			if (xhr.status == 0) {
            	mui.toast("连接超时，请确认网络是否通畅。");
            	return;
            }
			
			mui.toast("发生未知异常");
		}
	});

	// document.getElementById("flwquery_reg").addEventListener('tap', function() {
    //     if(page + 1 <= count) {
    //         page++;
    //         if(page<=totalPage){
    //             queryDetail(page);
    //         }
    //     } else {
    //         document.getElementById("flwquery_reg").innerText = "没有更多了"
    //     }
	//
	// });

	function queryDetail(page) {
		var startDate = document.getElementById("startDate");
		var endDate = document.getElementById("endDate");
		
		if (startDate.value > endDate.value) {
			document.getElementById('tongji').innerHTML = "<div style=\"text-align:center\"><span style=\"color:red\" >起始日期不能超过终止日期。</span></div>";
			document.getElementById('queryResult').innerHTML = "";
			return;
		}

        document.getElementById("load").innerHTML+=' <div class="mui-loading"> <div class="mui-spinner">  </div>  </div>';
		$http({
			method: 'GET',
			url: accessUrl + "/cardservice/moneyChangeController/findByPage?page="+page+"&limit="+limit+"&accStucode="+stuCode+"&stime="+startDate.value+"&etime="+endDate.value+"&sort=desc",
			headers: {
				'Content-Type': 'application/x-www-form-urlencoded'
			},
		}).success(function(result) {
            var tjhtml = template('tongjiTpl', result);

            document.getElementById('tongji').innerHTML = tjhtml;
            count=result.count;
            if(count%limit==0){
                totalPage=count/limit;
			}else{
                totalPage=count/limit+1;
			}
            totalPage=parseInt(totalPage);
            var html = template('queryTpl', result);
			if(page==1){
                document.getElementById('queryResult').innerHTML = html;
			}else {
                document.getElementById('queryResult').innerHTML += html;
			}
			mui('.mui-scroll-wrapper').scroll();
            document.getElementById("load").innerHTML='';
		});

	}

	document.getElementById("chargetype").addEventListener('change', function() {
		var type = document.getElementById("chargetype").value;
		queryDetail(1);
	});

	mui('.mui-switch').each(function() { //循环所有toggle
		//toggle.classList.contains('mui-active') 可识别该toggle的开关状态
		//this.parentNode.querySelector('span').innerText = '状态：' + (this.classList.contains('mui-active') ? 'true' : 'false');
		/**
		 * toggle 事件监听
		 */
		this.addEventListener('toggle', function(event) {
			//event.detail.isActive 可直接获取当前状态
			var type = 0;
			if(event.detail.isActive == true) {

				type = 0;
			} else {
				type = 1;
			}

			document.getElementById("chargetype").value=type;
			queryDetail(type);
			//this.parentNode.querySelector('span').innerText = '状态：' + (event.detail.isActive ? 'true' : 'false');
		});
	});

	/**
	 * 设置时间
	 */
	function setDate() {
		var now = new Date();
		var year = now.getFullYear();
		var month = now.getMonth() + 1;
		var day = now.getDate();
		var hour = now.getHours();
		var minute = now.getMinutes();
		var second = now.getSeconds();

		var before = new Date(now.getTime() - 7 * 24 * 3600 * 1000);
		var beforeYear = before.getFullYear();
		var beforeMonth = before.getMonth() + 1;
		var beforeDay = before.getDate();
		var beforeHour = before.getHours();
		var beforeMinute = before.getMinutes();
		var beforeSecond = before.getSeconds();
		if(month < 10) {
			month = "0" + month;
		}
		if(beforeMonth < 10) {
			beforeMonth = "0" + beforeMonth;
		}
		if(day < 10) {
			day = "0" + day;
		}
		if(beforeDay < 10) {
			beforeDay = "0" + beforeDay;
		}

		var currDate = year + '-' + month + '-' + day;
		var beforeDate = beforeYear + '-' + beforeMonth + '-' + beforeDay;
		document.getElementById("startDate").value = beforeDate;
		document.getElementById("endDate").value = currDate;
	}
    pullToRefresh();
    function pullToRefresh() {
        var startX, startY;
        document.getElementById("pullrefresh").addEventListener('touchstart', function(ev) {
            startX = ev.touches[0].pageX;
            startY = ev.touches[0].pageY;
        }, false);
        document.getElementById("pullrefresh").addEventListener('touchend', function(ev) {
            var endX, endY;
            endX = ev.changedTouches[0].pageX;
            endY = ev.changedTouches[0].pageY;

            var direction = GetSlideDirection(startX, startY, endX, endY);
            switch(direction) {
                case 0:

                    break;
                case 1:
                    // 向上

					page++;
                    if(page<=totalPage){
                        queryDetail(page);
                    }
                    break;
                case 2:
                	if(page==1){
                        document.getElementById('queryResult').innerHTML = "";
					}

                    queryDetail(page);
                    console.log("down");

                    break;

                default:
            }
        }, false);
    }

    function GetSlideDirection(startX, startY, endX, endY) {
        var dy = startY - endY;
        //var dx = endX - startX;
        var result = 0;
        if(dy > 0) { //向上滑动
            result = 1;
        } else if(dy < 0) { //向下滑动
            result = 2;
        } else {
            result = 0;
        }
        
        
        return result;
    }

});