﻿app.controller('openDoorController', function($scope, $stateParams, $http) {
	var pageIndex = 1;
	var count = 0;
	document.getElementById('openDoor_doorList').innerHTML = "";
	loadPage(pageIndex, "")
	pullToRefresh();

	function loadPage(pageIndex, searchname) {


        mui.ajax(doorUrl + "/doorservice/m/doorController/findByPage", {
			data: {
				"stuCode": stuCode,
				pageIndex: pageIndex,
				pageSize: 20,
				name: searchname
			},
			dataType: 'json', //服务器返回json格式数据
			type: 'get', //HTTP请求类型
			timeout: 10000, //超时时间设置为10秒；
			success: function(result) {
				mui('.mui-scroll-wrapper').scroll();
				var html = template('openDoorTpl', result.data);
				document.getElementById('openDoor_doorList').innerHTML += html;
				pageIndex = result.data.pageIndex;
				count = result.data.pageCount;
				//document.getElementById("loadanmation").innerHTML = '';
			},
			error: function(XMLHttpRequest, textStatus, errorThrown) {
                swal('请求超时','请稍后再试',"error");
			}
		});
	}

	function pullToRefresh() {
		var startX, startY;
		document.getElementById("doorpullrefresh").addEventListener('touchstart', function(ev) {
			startX = ev.touches[0].pageX;
			startY = ev.touches[0].pageY;
		}, false);
		document.getElementById("doorpullrefresh").addEventListener('touchend', function(ev) {
			var endX, endY;
			endX = ev.changedTouches[0].pageX;
			endY = ev.changedTouches[0].pageY;

			var direction = GetSlideDirection(startX, startY, endX, endY);
			switch(direction) {
				case 0:

					console.log("无操作");
					break;
				case 1:

					// 向上 
					// document.getElementById("loadanmation").innerHTML = '<img style="width: 100px;height: 100px;margin-top: -200px; position: absolute; left: 130px;z-index:9999;" src="images/load.gif"/>';
					window.setTimeout(function() {
						pageIndex = parseInt(pageIndex);
						if(pageIndex + 1 <= count) {
							pageIndex++;
							var name = document.getElementById("doorSearchInput").value;
							loadPage(pageIndex, name);
							document.getElementById("loadanmation").innerHTML = "";
						} else {
							document.getElementById("flwdetail_LoadMore").innerText = "没有更多了";
							document.getElementById("loadanmation").innerHTML = "";
						}
					}, 500)

					break;
				case 2:
					// 向下 

					console.log("down");
					break;

				default:
			}
		}, false);
	}

	function GetSlideDirection(startX, startY, endX, endY) {
		var dy = startY - endY;
		//var dx = endX - startX; 
		var result = 0;
		if(dy > 0) { //向上滑动 
			result = 1;
		} else if(dy < 0) { //向下滑动 
			result = 2;
		} else {
			result = 0;
		}
		return result;
	}
	mui('#openDoor_doorList').on('tap', 'li', function() {
		var doorId = this.getAttribute("doorId");


        swal({
                title: "开门提醒",
                text: "确定开门吗",
                type: "warning",
                showCancelButton: true,
                confirmButtonColor: "#DD6B55",
                confirmButtonText: "开门",
                cancelButtonText: "不开门",
                closeOnConfirm: false,
                closeOnCancel: true
            },
            function (isConfirm) {
                if (isConfirm) {
                    mui.ajax(doorUrl + "/doorservice/m/doorOperateController/remoteOpenTheDoorByStuCode", {
                        data: {
                            "doorId": doorId,
							"stuCode":stuCode
                        },
                        dataType: 'json', //服务器返回json格式数据
                        type: 'get', //HTTP请求类型
                        timeout: 10000, //超时时间设置为10秒；
                        success: function(result) {
                            if( result.code!=200){
                                swal('开门失败',result.message,
                                    "error");
                            }else{
                                swal('开门成功',result.message,
                                    "success");
                            }

                        },
                        error: function(XMLHttpRequest, textStatus, errorThrown) {
                            swal('开门失败', "",
                                "error");
                        }
                    });
                }

            });




	});
	mui('#doorSearchForm').on('tap', 'label', function() {
		var name = document.getElementById("doorSearchInput").value;

		document.getElementById('openDoor_doorList').innerHTML = "";
		loadPage(1, name);
	});
mui('.mui-scroll-wrapper').scroll();

});