app.controller('quequController', function($scope, $http, $state) {
	//	localhost:9003/api/serviceController/findAllCountList

	function initService() {
		$http({
			method: 'GET',
			url: accessUrl + "/api/serviceController/findAllCountList",
			data: {
				stuCode: stuCode
			},
			headers: {
				'Content-Type': 'application/x-www-form-urlencoded'
			}
		}).success(function(result) {
			$scope.serviceList = result;
		});
	}

	//	setInterval(function() {
	//		initService();
	//	}, 30000)
	$scope.load = function() {
		initService();
		initQueue();
		pullToRefresh();
		mui('.mui-scroll-wrapper').scroll();
	}

	$scope.cancelQueue = function(id) {
		swal({
				title: "取消提醒",
				text: "要办理时需重新抽号",
				type: "warning",
				showCancelButton: true,
				confirmButtonColor: "#DD6B55",
				confirmButtonText: "确定取消",
				cancelButtonText: "不取消",
				closeOnConfirm: false,
				closeOnCancel: true
			},
			function(isConfirm) {
				if(isConfirm) {
					$http({
						method: 'POST',
						url: accessUrl + "/queueservice/userQueueController/delete",
						data: {
							id: id
						},
						headers: {
							'Content-Type': 'application/x-www-form-urlencoded'
						},
						transformRequest: function(obj) {
							var str = [];
							for(var s in obj) {
								str.push(encodeURIComponent(s) + "=" + encodeURIComponent(obj[s]));
							}
							return str.join("&");
						}
					}).success(function(result) {
						if(result.code == 200) {
							swal(result.message, "",
								"success");
							initService();
							initQueue();

						} else {
							swal(result.message, "",
								"error");
						}

					});
					//userQueueController/delete

				}
			});
	}

	/**
	 * 我的号码
	 */
	function initQueue() {
		$http({
			method: 'POST',
			url: accessUrl + "/queueservice/userQueueController/findByStucodeAndToday",
			data: {
				stuCode: stuCode
			},
			headers: {
				'Content-Type': 'application/x-www-form-urlencoded'
			},
			transformRequest: function(obj) {
				var str = [];
				for(var s in obj) {
					str.push(encodeURIComponent(s) + "=" + encodeURIComponent(obj[s]));
				}
				return str.join("&");
			}
		}).success(function(result) {
			if(result.length == 0) {
				$scope.queueList = "empty";
			} else {
				$scope.queueList = result;
			}

		});
	}

	$scope.addQuequ = function(id) {

		swal({
				title: "每天只能抽一个号",
				type: "warning",
				showCancelButton: true,
				confirmButtonColor: "#DD6B55",
				confirmButtonText: "抽取",
				cancelButtonText: "不抽取",
				closeOnConfirm: false
			},
			function() {
				$http({
					method: 'POST',
					url: accessUrl + "queueservice/queueController/save",
					data: {
						name: stuCode,
						service: id
					},
					headers: {
						'Content-Type': 'application/x-www-form-urlencoded'
					},
					transformRequest: function(obj) {
						var str = [];
						for(var s in obj) {
							str.push(encodeURIComponent(s) + "=" + encodeURIComponent(obj[s]));
						}
						return str.join("&");
					}
				}).success(function(result) {
					if(result.code == 200) {
						swal({
							title: result.message,
							//					text: result.message,
							//				timer: 1000,
							showConfirmButton: false,
							type: 'success',
							confirmButtonText: '确定',
							showInputError: true
						});
						initService();
						initQueue();
						//$state.go("myQueue")
					} else {
						swal({
							title: result.message,
							//					text: result.message,
							//				timer: 1000,
							showConfirmButton: false,
							type: 'warning',
							confirmButtonText: '确定',
							showInputError: true
						});
					}

				});
			});
	}

	function pullToRefresh() {
		var startX, startY;
		document.getElementById("pullrefresh").addEventListener('touchstart', function(ev) {
			startX = ev.touches[0].pageX;
			startY = ev.touches[0].pageY;
		}, false);
		document.getElementById("pullrefresh").addEventListener('touchend', function(ev) {
			var endX, endY;
			endX = ev.changedTouches[0].pageX;
			endY = ev.changedTouches[0].pageY;

			var direction = GetSlideDirection(startX, startY, endX, endY);
			switch(direction) {
				case 0:

					console.log("无操作");
					break;
				case 1:
					// 向上 

					console.log("向上");
					break;
				case 2:
					// 向下 
					initService();
					initQueue();
					console.log("down");
					break;

				default:
			}
		}, false);
	}

	function GetSlideDirection(startX, startY, endX, endY) {
		var dy = startY - endY;
		//var dx = endX - startX; 
		var result = 0;
		if(dy > 0) { //向上滑动 
			result = 1;
		} else if(dy < 0) { //向下滑动 
			result = 2;
		} else {
			result = 0;
		}
		return result;
	}

});