app.controller('unlostController', function($scope, $state, $http) {
	mui.ajax(accessUrl + "/m/tcommcardController/findCardByStuCode", {
		data: {
			"stuCode": stuCode
		},
		dataType: 'json', //服务器返回json格式数据
		type: 'get', //HTTP请求类型
		timeout: 10000, //超时时间设置为10秒；
		success: function(result) {

			if(result.data) {
				var html = "";
				for(var i = 0; i < result.data.length; i++) {
					if (result.data[i].crdStatus == "挂失") {
						html += "<option value='" + result.data[i].crdId + "'>" + result.data[i].crdId + "</option>";
					}
				}

				document.getElementById("unlostcardList").innerHTML = html;
			}
		},
		error: function(xhr, type, errorThrown) {
			//			mui.toast("发生未知异常");
			if (xhr.status == 0) {
            	swal({
					title: "",
					text: "连接超时，请确认网络是否通畅。",
					timer: 1000,
					showConfirmButton: false,
					type: 'error',
					confirmButtonText: '确定',
					showInputError: true
				});
            	
            	return;
            }
            
			swal({
				title: "",
				text: "发生未知异常",
				timer: 1000,
				showConfirmButton: false,
				type: 'error',
				confirmButtonText: '确定',
				showInputError: true
			});

		}
	});

	document.getElementById("unlostbtn").addEventListener('tap', function() {
		var unlost_idcard = document.getElementById("unlost_idcard");
		var unlost_password = document.getElementById("unlost_password");
		var unlostcardList = document.getElementById("unlostcardList");
		if(unlost_idcard.value == "") {
			//			mui.toast("请输入身份证号");
			swal({
				title: "",
				text: "请输入身份证号",
				timer: 1000,
				showConfirmButton: false,
				type: 'warning',
				confirmButtonText: '确定',
				showInputError: true
			});
			return;
		}
		if(unlost_password.value == "") {
			//			mui.toast("请输入密码");
			swal({
				title: "",
				text: "请输入密码",
				timer: 1000,
				showConfirmButton: false,
				type: 'warning',
				confirmButtonText: '确定',
				showInputError: true
			});
			return;
		}
		mui.ajax(accessUrl + "/m/tcommcardController/unlockCard", {
			data: {
				"stuCode": stuCode,
				"cardNo": unlostcardList.value,
				"idCard": unlost_idcard.value,
				"pwd": unlost_password.value,
			},
			dataType: 'json', //服务器返回json格式数据
			type: 'post', //HTTP请求类型
			timeout: 10000, //超时时间设置为10秒；
			success: function(result) {
				//				mui.toast(result.message);
				if(result.code == 200) {
					swal({
						title: "",
						text: result.message,
						//				timer: 1000,
						showConfirmButton: false,
						type: 'success',
						confirmButtonText: '确定',
						showInputError: true
					});
				} else {
					swal({
						title: "",
						text: result.message,
						//				timer: 1000,
						showConfirmButton: false,
						type: 'error',
						confirmButtonText: '确定',
						showInputError: true
					});
				}
			},
			error: function(xhr, type, errorThrown) {
				//				mui.toast("发生未知异常");
				if (xhr.status == 0) {
	            	swal({
						title: "",
						text: "连接超时，请确认网络是否通畅。",
						timer: 1000,
						showConfirmButton: false,
						type: 'error',
						confirmButtonText: '确定',
						showInputError: true
					});
	            	
	            	return;
	            }
				
				swal({
					title: "",
					text: "发生未知异常",
					timer: 1000,
					showConfirmButton: false,
					type: 'error',
					confirmButtonText: '确定',
					showInputError: true
				});

			}
		});
	})
});