app.controller('updatePasswordController', function($scope, $stateParams, $http) {
	console.log('updatePasswordController');
	$scope.updatePassword = function() {
		var oldPassword = document.getElementById("oldPassword");
		var newPassword = document.getElementById("newPassword");
		var conPassword = document.getElementById("conPassword");

		if(oldPassword.value == "") {
			//			mui.toast("请输入原密码");
			swal({
				title: "",
				text: "请输入原密码",
				timer: 1000,
				showConfirmButton: false,
				type: 'warning',
				confirmButtonText: '确定',
				showInputError: true,
				//				showLoaderOnConfirm: true, 
				showConfirmButton: false

			});
			//			oldPassword.focus();
			return;
		}
		if(newPassword.value == "") {
			swal({
				title: "",
				text: "请输入新密码",
				timer: 1000,
				showConfirmButton: false,
				type: 'warning',
				confirmButtonText: '确定'
			});
			//			mui.toast("请输入新密码");
			return;
		}
		if(newPassword.value.length != 6) {
			//			mui.toast("请输入6位数字密码");
			swal({
				title: "",
				text: "请输入6位数字密码",
				timer: 1000,
				showConfirmButton: false,
				type: 'warning',
				confirmButtonText: '确定'
			});
			return;
		}
		if(isNaN(newPassword.value)) {
			swal({
				title: "",
				text: "请输入数字",
				timer: 1000,
				showConfirmButton: false,
				type: 'warning',
				confirmButtonText: '确定'
			});
			//			mui.toast("请输入数字");
			return;
		}

		if(!checkPassword(newPassword.value)) {
			//			mui.toast("密码过于简单");
			swal({
				title: "",
				text: "密码过于简单。",
				timer: 1000,
				showConfirmButton: false,
				type: 'warning',
				confirmButtonText: '确定'
			});
			return;
		}
		if(conPassword.value == "") {
			//			mui.toast("请输入确认密码");
			swal({
				title: "",
				text: "请输入确认密码",
				timer: 1000,
				showConfirmButton: false,
				type: 'warning',
				confirmButtonText: '确定'
			});
			return;
		}

		if(newPassword.value != conPassword.value) {
			//			mui.toast("两次输入的密码不一致");
			swal({
				title: "",
				text: "两次输入的密码不一致。",
				timer: 1000,
				showConfirmButton: false,
				type: 'warning',
				confirmButtonText: '确定'
			});
			return;
		}
		if(!checkPassword(newPassword.value)) {
			//			mui.toast("密码过于简单");
			swal({
				title: "",
				text: "密码过于简单。",
				timer: 1000,
				showConfirmButton: false,
				type: 'warning',
				confirmButtonText: '确定'
			});
			return;
		}
		$http({
			method: 'POST',
			url: accessUrl + "/m/tcommaccountController/updatePwd",
			data: {
				"stuCode": stuCode,
				"oldPwd": oldPassword.value,
				"newPwd": newPassword.value
			},
			headers: {
				'Content-Type': 'application/x-www-form-urlencoded'
			},
			transformRequest: function(obj) {
				var str = [];
				for(var s in obj) {
					str.push(encodeURIComponent(s) + "=" + encodeURIComponent(obj[s]));
				}
				return str.join("&");
			}
		}).success(function(result) {
			if(result.code == 200) {
					swal({
						title: "",
						text: result.message,
						//				timer: 1000,
						showConfirmButton: false,
						type: 'success',
						confirmButtonText: '确定',
						showInputError: true
					});
				} else {
					swal({
						title: "",
						text: result.message,
						//				timer: 1000,
						showConfirmButton: false,
						type: 'error',
						confirmButtonText: '确定',
						showInputError: true
					});
				}
		});
	}
});

/**
 * checkPassword函数，参数为要检验的密码pwd，
 * 如果pwd符合规则，返回true，否则返回false
 */
function checkPassword(pwd) {
	// 长度为6到18个字符
	var reg = /^[0-9]{6}$/;
	if(!reg.test(pwd)) {
		return false;
	}
	// 全部重复
	var repeat = true;
	// 连续字符
	var series = true;

	var len = pwd.length;
	var first = pwd.charAt(0);
	for(var i = 1; i < len; i++) {
		repeat = repeat && pwd.charAt(i) == first;
		series = series && pwd.charCodeAt(i) == pwd.charCodeAt(i - 1) + 1;
	}
	return !(repeat || series);
}